org.hibernate.search.elasticsearch.analyzer.definition

## Interface ElasticsearchAnalysisDefinitionRegistryBuilder

- All Known Implementing Classes:
    ElasticsearchAnalysisDefinitionRegistryBuilderImpl

      public interface ElasticsearchAnalysisDefinitionRegistryBuilder

  A builder for Elasticsearch analysis-related definitions: analyzers, tokenizers, char filters, ...

  This contract only expects users to provide the definitions; the registry building is handled by Hibernate Search.

  Author:
    Yoann Rodiere
  Experimental
    The specific API of this DSL is a prototype. Please let us know what you like and what you don't like, and bear in mind that this will likely change in any future version.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ElasticsearchAnalyzerDefinitionContext` | `analyzer(String name)` Start an analyzer definition.
    `ElasticsearchAnalysisComponentDefinitionContext` | `charFilter(String name)` Start a char filter definition.
    `ElasticsearchNormalizerDefinitionContext` | `normalizer(String name)` Start a normalizer definition.
    `ElasticsearchAnalysisComponentDefinitionContext` | `tokenFilter(String name)` Start a token filter definition.
    `ElasticsearchAnalysisComponentDefinitionContext` | `tokenizer(String name)` Start a tokenizer definition.

- - ### Method Detail

    - #### analyzer

          ElasticsearchAnalyzerDefinitionContext analyzer(String name)

      Start an analyzer definition.
      Parameters:
        `name` - The name used to reference this analyzer (both in Elasticsearch and in Hibernate Search).
      Returns:
        The analyzer definition context, allowing to define the analyzer's components (tokenizer, ...).

    - #### normalizer

          ElasticsearchNormalizerDefinitionContext normalizer(String name)

      Start a normalizer definition.
      Parameters:
        `name` - The name used to reference this normalizer (both in Elasticsearch and in Hibernate Search).
      Returns:
        The normalizer definition context, allowing to define the normalizer's components (token filters, ...).

    - #### tokenizer

          ElasticsearchAnalysisComponentDefinitionContext tokenizer(String name)

      Start a tokenizer definition.
      Parameters:
        `name` - The name used to reference this tokenizer `in analyzer definitions`.
      Returns:
        The tokenizer definition context, allowing to define the tokenizer's type and parameters.

    - #### charFilter

          ElasticsearchAnalysisComponentDefinitionContext charFilter(String name)

      Start a char filter definition.
      Parameters:
        `name` - The name used to reference this char filter `in analyzer or normalizer definitions`.
      Returns:
        The char filter definition context, allowing to define the char filter's type and parameters.

    - #### tokenFilter

          ElasticsearchAnalysisComponentDefinitionContext tokenFilter(String name)

      Start a token filter definition.
      Parameters:
        `name` - The name used to reference this token filter `in analyzer or normalizer definitions`.
      Returns:
        The token filter definition context, allowing to define the token filter's type and parameters.

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved